<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://orphic.ca
 * @since             0.0.0
 * @package           Orphic_UI
 *
 * @wordpress-plugin
 * Plugin Name:       Orphic UI
 * Plugin URI:        https://orphic.ca
 * Description:       This is a description of the plugin.
 * Version:           1.1.6

 * Author:            orphic
 * Author URI:        https://orphic.ca/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       orphic-ui
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
  die;
}

if (!defined('ORPHIC_PLUGIN_UI_DIR_PATH')) {
  define('ORPHIC_PLUGIN_UI_DIR_PATH', plugin_dir_path(__FILE__));
}

if (!defined('ORPHIC_PLUGIN_UI_DIR_URL')) {
  define('ORPHIC_PLUGIN_UI_DIR_URL', plugin_dir_url(__FILE__));
}

/**
 * Currently plugin version.
 */
define('ORPHIC_BLOCK_UI_VERSION', '1.1.6');

define('ORPHIC_UI_URL', 'https://orphic-ui.pp.orphic.ca/');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-orphic-ui-activator.php
 */
function activate_Orphic_UI()
{
  require_once plugin_dir_path(__FILE__) . 'includes/class-orphic-ui-activator.php';
  Orphic_UI_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-orphic-ui-deactivator.php
 */
function deactivate_Orphic_UI()
{
  require_once plugin_dir_path(__FILE__) . 'includes/class-orphic-ui-deactivator.php';
  Orphic_UI_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_Orphic_UI');
register_deactivation_hook(__FILE__, 'deactivate_Orphic_UI');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-orphic-ui.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_Orphic_UI()
{

  $plugin = new Orphic_UI();
  $plugin->run();
}
run_Orphic_UI();
